
*{
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}


#home{
    height: 100vh;
    width:  100%;
    position: relative;
    overflow: hidden;
    max-width: 100%;
    background-color: rgb(253, 247, 238);
    overflow-x: hidden;
}

.home-content {
    height: 100%;
    width:  100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.homebox{
    position: absolute;
    background-color: #B1CB1B;
    height: 100%;
    width: 50%;
    left:0;
    z-index: 0;
}

.home-content h2{
    color: #B1CB1B;
    opacity: 75%;
    font-size: 50px;
    transform: translateY(-70%);
    font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;

}

.home-content h1{
    opacity: 75%;
    font-size: 12vw;
    margin-left: 1.9%;
    color: #B1CB1B;
    font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;

}

@keyframes text{
from{
    transform: translateY(0);
}
to{
    transform: translateY(200%);
}

} 

@keyframes glasses{
    from{
        transform: translateY(0);
    }
    to{
        transform: translateY(-20%);
    }
    
    } 


.homefc{
    color: rgb(253, 247, 238);
}
.social-home{
    position: absolute;
    align-self: flex-end;
    left: 3px;
    bottom:5px;
    display: flex;
    align-items: end;
    gap: 8px;
    z-index: 100;
}

.social-home .fab{
    font-size: 15px;
    width: 30px;
    height:30px;
    line-height: 30px;
    text-align: center;
    color: black;
    border-radius: 50%;
    background-color: #B1CB1B;
    border: 2px solid white;
    transition: all 0.5s ease ;
}

.social-home .fab:hover{
    background-color:white ;
    transition: all 0.5s ease ;
}

.svglogo{
    stroke-dasharray: 173px;
    stroke-dashoffset: 173px;
    animation: line-anim 2s ease forwards;
    display: none;
}


@keyframes line-anim {
    to {
      stroke-dashoffset: 0px;
    }
  }

.svglogo-return{
    stroke-dasharray: 173px;
    stroke-dashoffset: 0px;
    display: none;
    animation: line-anim-return 2s ease forwards;
}

@keyframes line-anim-return {
    to {
      stroke-dashoffset: 173px;
    }
  }

.HomeImage {
    width: 100%;
    position: absolute;
    top:clamp(7%,7%,10%);
    transition: all 2s ease;


}

.HomeImage img{
    width:100%;
    
}

.scrollico{
    display: flex;
    position: absolute;
    right: 5px;
    bottom: 5px; 
}

#about_us{
    height: 100vh;
    width:  100%;;
    position: relative;
    padding: 0px;
    overflow: hidden;
    max-width: 100%;
}

.about{
    height: 100%;
    width: 100%;
    margin-bottom: 0px;
    background-color: #1A1A18;
    background-size:cover ;
    background-position: right;
}

.about .text{
    position: absolute;
    top:15%;
    width:50%;
    left:10px;
    color:white;
    /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
    font-family: 'Tektur', sans-serif;
    font-weight: 900;
}

.about .text p{
    font-family: 'Tektur', sans-serif;
    font-size: 0.88rem;
    font-weight: normal;  

}

.about .text h1{
    margin-bottom: 15px;
    font-size: 2.7rem;;
}

.aboutUsImg{
    position: absolute;
    left:-10px;
    bottom: 0px;
    width: 30%;
    height: auto;   
    margin-bottom: 0px; 
}

.lenses{
    position: absolute;
    bottom: 0px;
    width:85%;
}

.glasses2{
    position: absolute;
    bottom: 0px;
    width:100%; 
}

.aboutUsImgGl{
    position: absolute;
    right:10px;
    bottom: 10px;
    width: 40%;
    height: auto;   
    margin-bottom: 0px; 
}



.befores{
    background: url("/Images/productsbg.jpg");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
    content: '';
    height: 100%;
    left: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: -1;
    will-change: transform;
}

#products{
    height: 100vh;
    width:  100%;
    padding: 0px;
    min-height: 100%;
    position: relative;
    overflow: hidden;

}
.products-in{
    width: 100%;
    height: 100%;
    margin-top: 0;
}
.products-in .text{
    position: relative;
    width: 100%;
    height: 5%;
    margin-bottom: 0;
}
.products-in .text h1{
    position:absolute;
    top:0;
    left:15%;
    margin-top: 6rem;
    margin-left: 2rem;
    /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
    font-family: 'Tektur', sans-serif;
    font-weight: 900;
    font-size: 2.7rem;
    color: white;
    margin-bottom: 0px;
}

.categories{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    gap:0;

}

.category p{
    font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;
    font-size: 1.2rem;
    margin:5px;   
    width: 100%;
    text-align: center;
    color: white;
    white-space: wrap;
}


.category{
    min-width:33.3%;
    width: 33.3%;
    max-width: 33.3%;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.5);  
    border-radius: 20px;
   /* display: flex;
    flex-direction: column;
    */
    overflow: hidden;
    opacity: 70%;
}

.category .prodtext{
    display: none;
}

.focus{
    transform: scale(1.2);
    z-index: 3;
    height: 100%;
    transition: all 0.5s linear;
    box-shadow:  5px 10px 5px  black;
    opacity: 100%;

}

.focus .prodtext{
    display: flex;
    justify-content: space-around ;
    margin:5px;

}

.focus .prodtext button {
    
    border: 0 solid #E5E7EB;
    box-sizing: border-box;
    color: #000000;
    display: flex;
    font-family: ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: 1rem;
    font-weight: 700;
    justify-content: center;
    line-height: 1.75rem;
    padding: .75rem 1.65rem;
    position: relative;
    text-align: center;
    text-decoration: none #000000 solid;
    text-decoration-thickness: auto;
    width: 90%;
    max-width: 460px;
    position: relative;
    cursor: pointer;
    transform: rotate(-2deg);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  }

  #contactsText{
    font-size: 0.8rem;
    width:100%;
    text-wrap: wrap;
}

  .focus .prodtext button:nth-child(1){
    background-color: #3DD1E7;
  }
  
  .focus .prodtext button:nth-child(2){
    background-color: red;
  }

  .focus .prodtext button:focus {
    outline: 0;
  }
  
  .focus .prodtext button:after {
    content: '';
    position: absolute;
    border: 1px solid #000000;
    bottom: 4px;
    left: 4px;
    width: calc(100% - 1px);
    height: calc(100% - 1px);
  }
  
  .focus .prodtext button:hover:after {
    bottom: 2px;
    left: 2px;
  }
  .focus .prodtext button:hover{
    text-decoration:line-through;

  }
  

.category-image img{
    width: 80%;
    overflow: hidden;
    border-radius: 30px;
}

.category img{
    height: 100%;
    width: 100%;
    border-radius: 20px;
    transition: 0.5s all  ease;
    cursor: pointer;

}

.categcont{
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    gap:5%;
    position: relative;
}


.slider{
    height:80%;
    width:70%;
    position: relative;
    overflow-x: hidden;
    border-radius: 20px;
    /*border: 2px solid blue;*/
    flex-direction: column;
    justify-content: end;
    align-items: end;

}



.slidercont{
    top: 15%;
    width:100%;
    border-radius: 20px;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0;
    white-space: nowrap;
    vertical-align:middle;
}


.buttons{
    width:fit-content;
    height:5%;
    margin-top:10%;
    display: flex;
    gap:50%;
    font-size: 30px;
    z-index: 5px;
}

.next i, .previous i{
    border-radius: 50px;
    text-align: center;

    padding-top: 15%;
    padding-bottom: 15%;
    border: 2px solid white;
    width:5rem;
    color: white;
    font-size: 2rem;
    transition: all 0.5s linear;
    cursor: pointer;
}

.next i:hover, .previous i:hover{
    transform: scale(1.1);
    color: yellow;
    font-size: 2.1rem;
    transition: all 1s linear;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.5);  
}




@keyframes slider {
    from{
        transform: translateX(0%);
    }

    to{
        transform: translateX(-100%);
    }
}

.brands-slide img{
    height: 4rem;
    margin-left: 1rem;
    transition: all 0.5s linear;
}

.brands{
    position: absolute;
    bottom: 0;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.5);  
    padding-top: 1rem;
    padding-bottom: 1rem;
    white-space: nowrap;
}

.brands-slide{ 
    display: inline-block;
    animation: 50s slider infinite linear;
}


#contact_us{
    height: 100vh;
    width:  100%;;
    position: relative;
    background-color: #1A1A18;
    background-size:cover ;
    background-position: right;
    padding: 0px;
    overflow: hidden;
    max-width: 100%;
}

.phone{
    top:20%;
    position: absolute;
    font-size: 25rem;
    left:-5%;
    color: #2F4858;

}

.contact{
    /*overflow: hidden;*/
    height: 100%;
    width: 100%;
    margin-bottom: 0px;
}

.contact .text{
    position: absolute;
    /*overflow: hidden;*/
    top:15%;
    width:50%;
    left:15%;
    color:white;
    /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
    font-family: 'Tektur', sans-serif;
    font-weight: 900;
    white-space: nowrap;
}

.contact .text h1{
    margin-bottom: 15px;
    font-size: 2.7rem;
    text-align: left;
}

.contact .text i{
    margin-top:15px;
    margin-right: 10px;
}

.contact .text a{
    color: white;
    font-weight: bolder;
    text-decoration: none;
    /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
    font-family: 'Tektur', sans-serif;
    font-weight: 900;
    white-space: nowrap;

}

.contact .text p{
    color: white;
    font-weight: bolder;
    text-decoration: none;
    /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
    font-family: 'Tektur', sans-serif;
    font-weight: 900;
    white-space: nowrap;
}

.contact .text a:hover{
    text-decoration:line-through;
    color:#B1CB1B;
}

.map{
    margin-top: 30px;
}

iframe{
    border-radius: 20px;
    border: 5px solid #B1CB1B;
}

.storeimage {
    overflow: hidden;
    width:40%;
    position: absolute;
    right:10%;
    bottom:10%;
    border-radius: 20px;
    transition: all 1s ease;
    display: flex;
    justify-content: center;
    align-items: center;
}
.storeimage iframe{
    width:25rem;
    height: 20rem;
    transition: all 1s ease;
}

.storeimage img:hover{
    transform: scale(1.2);
}

.lines{
    position: absolute;
    top:0%;
    right:0%;
    width:90%;
}

footer{
    background-color: #1A1A18;
    width: 100%;
    overflow: hidden;
}

#footer{
    gap:5%;
    width: 100%;
    background-color: black;
    color: white;
    text-align: center;
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    flex-direction: column;
    border-radius: 50px 0 0 0 ;
    padding: 1.5%;
}


.elements{
    display: flex;
    height: 100%;
    width: 90%;
}

#footer h2{
    width:fit-content;
    text-align: left;
    font-size: 15px;
    margin-bottom: 40px;
}

.mailfooter{
    width: fit-content;
    border-bottom:1px solid white ;
    margin-top: 20px;
    margin-bottom: 20px;
}

.telfooter{
    width: fit-content;
    margin: 0;
    font-weight: bold;
}

.footerElement{
    flex-basis:25%;
    
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    
}

.footer-menu ul{
    list-style: none;
    text-align: left;
}
.footer-menu li{
    margin-bottom: 12px;
}
.footer-menu li a{
    font-size: 14px;

    color: white;
    text-decoration: none;
}

.footerElement p{
    font-size: 14px;
    text-align: left;
    padding:5%;
}

.footer-contact p{
    line-height: 1px;
}



.footer-logo{
    width:100%;
    display: flex;
    justify-content: start;
    display: flex;
    flex-direction: column;
}

.footer-logo img{
    width: 40%;
    padding: 5%;
}

.copyright a{
    color: #B1CB1B;
    text-decoration: none;
}

.copyright a:hover{
    text-decoration:line-through;
    transition: all 0.5s linear; 
    
}

.copyright{
    border-top: 0.5px solid white;
    padding-top: 2%;
    width: 90%;
    margin-bottom: 0.5%;
    text-align: center;
    font-weight: bold;
}

.social-bottom{
    width: fit-content;
    margin: 5px;
    text-align: center;
    display: flex;
    flex-wrap: nowrap;
    gap:15px;
}

.social-bottom .fab{
    color: #000;
    line-height: 40px;
    width: 40px;
    height: 40px;
    font-size: 20px;
    transition: all 0.5s;
    background-color: #fff;
    border-radius: 50%;
    border:3px solid white;
    transition: all 0.5s;

}

.social-bottom .fab:hover{
    background-color:#B1CB1B;
    transform: scale(1.1);
    transition: all 0.5s;
    
}

.footer-contact{
    width: fit-content;
    color:white;
    text-align: left;
}

.footer-contact a{
    color: white;
    text-decoration: none;
}

.footer-contact a:hover{
    color: #B1CB1B;
    text-decoration:line-through;

}

.footer-menu li a:hover{
    color: #B1CB1B;
    text-decoration:line-through;


}

#heart{
    color: red;
}



@media only screen and (min-width: 1000px) {
    .lines{
        width:50%
    }


}

@media (max-width:1000px){
    

    .map iframe{
        width:60%;
        border-radius: 20px;
    }

    .storeimage iframe{
        width:20rem;
        height: 15rem;
        transition: all 1s ease;
    }

    .category p{
        font-size: 1rem;
    }

    .slider{
        width:80%;
        height: 90%;
    }

    .focus .prodtext button{
        font-size: 0.8rem;
        width:50%;
    }



    .category{
        margin-top: 20%;
    }

    .next i:hover, .previous i:hover{
        transform: scale(1);
        color: yellow;
        font-size: 2.1rem;
        transition: all 1s linear;
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.5);  
    }

    .categcont{
        gap:5%;
    }

    .next,.previous{
        font-size: 1.5rem;
        padding: 1%;
    }
    .next i,.previous i{
        font-size: 1.5rem;
    }
    

}



@media (max-width:800px){
   /* .logo img{
        width: 70%;
    }

    .navbar .Navigation-Menu{
        display: flex;
        gap:4vw;
        justify-content: flex-end;
        align-items: center;
        list-style: none;
        font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;
        color: black;
        margin-right:4vw ;
        font-size:0.65rem;
    }



    .logo img{
        width: 30%;
    }

    .navbar .Navigation-Menu{
        width: 50vh;
        margin-left: 90%;
        top: -20%;
        border-radius:50%;
        display: flex;
        width: 50vh;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        height: 50vh;
        background-attachment: fixed;
        background-color: #B1CB1B;
        font-family: Arial, Helvetica, sans-serif;        
        font-weight: bolder;
        position: absolute;
        left: 100%;
        padding: 20%;
        transition: all 0.5s linear;
        border: 2px solid white;
        font-size: 1rem;
    }



    .burger{
        display: block;
        z-index: 99;
    }
    */

    .Scrolled {
        position: fixed;
        background-color: rgba(0, 0, 0, 0.8);
        width: 100%;
        top: 0px;
        padding: 20px 0px;
        z-index: 99;
      }

    .HomeImage {
        transform: translateY(30%);
    }



    .about .text p{
        font-size: 0.67rem; 
        font-weight: normal; 
    }

    .about .text{
        position: absolute;
        top:15%;
        width:55%;
        left:10px;
        color:white;
        /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
        font-family: 'Tektur', sans-serif;
        font-weight: 900;
    }
    
    
    .about .text h1{
        margin-bottom: 15px;
        font-size: 2.3rem;;
    }

    .category{
        margin-top: 20%;
    }
  

    .category p{
        font-size: 12px;
    }

    .focus .prodtext button{
        font-size:0.45rem;
        width:45%;
        line-height: 0.5rem;
        height: 2rem;

    }

    .focus{
        transform: scale(1.5);

    }
    

    .contact .text h1{
        margin-bottom: 15px;
        font-size: 2.3rem;
        text-align: left;
    }

    .lines{
        width:60%;
    }


   

}


@media (max-width:450px){
    *{
        box-sizing: border-box;
    }
    html,body{
        height: 100%;
    }
    


    .Scrolled {
        position: fixed;
        background-color: rgba(0, 0, 0, 0.8);
        width: 100%;
        top: 0px;
        padding: 20px 0px;
        z-index: 99;
      }

    .HomeImage {
        width:135%;
    }

    .home-content h1{
        font-size: 12vw;
        
    }
    .about .text{
        position: absolute;
		font-size:0.70rem;
        top:15%;
        width:80%;
        left:10px;
        color:white;
        /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
        font-family: 'Tektur', sans-serif;
        font-weight: 900;
    }

    .about .text h1{
        margin-bottom: 15px;
        font-size: 30px;
    }

    #home{
        height: 100%;
        z-index: 1;
    }

    #about_us{
        height: 100%;
        z-index: 1;
    }

    #products{
        width: 100%;
        overflow: hidden;
        
    }
    .category p{
        font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;
        font-weight: bolder;
        font-size: 10px;   
        width: 100%;
        text-align: center;
        color: white;
    }
    
    .category{
        border: 2px solid #fcc200;
        height:5%;
    }

    .befores{
        width:100%;
        box-sizing: border-box;
    }

    .categories{
        flex-wrap: wrap;
        height: 80%;
        position: relative;
        width:100%;  /*SOSOSOSOSOSOSOS*/
     }

     .categories .text h1{
        font-size: 30px;
     }

     .categories .text{
        position: absolute;
        top:0;
     }


     .slider{
        width:90%;
     }

     .categcont{
        border: 2px blue;
        width:100%;
        gap:0px;
     }
	#contactsText{
		display:none;
		}

     .next i, .previous i{
        margin: 0;
        border-radius: 50px;
        text-align: center;
        padding-top: 10%;
        padding-bottom: 10%;
        border: 2px solid white;
        width:10rem;
        color: white;
        font-size: 3rem;
        transition: all 0.5s linear;
        cursor: pointer;
    }

    .next {
        position:absolute ;
        right:2%;
        display: block;
        bottom:5%;
    }

    .previous {
        position:absolute ;
        left:2%;
        bottom:5%;
        z-index:100;

    }

    .next i:hover, .previous i:hover{
        transform: scale(1.1);
        color: yellow;
        font-size: 3.1rem;
        transition: all 1s linear;
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.5);  
    }
    


    .map{
        display: none;
    }

    #contact_us{
        height: 100%;
    }

    .contact .text h1{
        margin-bottom: 15px;
        font-size: 30px;
        text-align: left;
    }

    .contact .text{
        white-space: nowrap;
        font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;

    }

    .contact .text a{
        color: white;
        font-weight: bolder;
        text-decoration: none;
        /*font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;*/
        font-family: 'Tektur', sans-serif;
        font-weight: 900;

    }



    .storeimage {
        width:80%;
        transition: all 1s ease;
        bottom:20%
    }

    .storeimage iframe{
        width: 300px;
        height: auto;
        border: none;
    }

    .elements{
        flex-direction: column;
        flex-wrap:wrap;

    }



}



